# -*- encoding: utf-8 -*-
# stub: rethoth 0.4.2 ruby lib

Gem::Specification.new do |s|
  s.name = "rethoth".freeze
  s.version = "0.4.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["John Pagonis".freeze, "Ryan Grove".freeze]
  s.date = "2017-09-18"
  s.description = "    Rethoth is a simple to understand, run and maintain Ruby blogging engine.\n\n    Rethoth is written in Ruby and is based on the Ramaze web framework and the Sequel database toolkit. \n    Rethoth is a modern port, to 2017, of the original Thoth created by @ryangrove.\n    \n    Rethoth demonstrates how to easily build a useful MVC-style app in Ruby without having to deal directly with meta-programming and DSL magic.\n    \n    Rethoth is an example of how to build a web application in Ruby without the need to learn Rails and ActiveRecord.\n    \n    Rethoth is ideal for newcomers to Ruby who have experience with other web frameworks and want to quickly appreciate the language and become productive with it.\n".freeze
  s.email = "john@pagonis.org".freeze
  s.executables = ["thoth".freeze]
  s.files = ["bin/thoth".freeze]
  s.homepage = "https://github.com/pagojo/rethoth".freeze
  s.licenses = ["BSD-3-Clause".freeze]
  s.post_install_message = "================================================================================\nThank you for installing Rethoth. If you haven't already, you may need to install\none or more of the following gems:\n\n  sqlite3      - If you want to use Rethoth with a SQLite database\n  mysql2       - If you want to use Rethoth with a MySQL database\n  passenger    - If you want to run Rethoth under Apache using Phusion Passenger\n  thin         - If you want to run Rethoth using Thin\n================================================================================\n".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 2.3.0".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "A simple to understand, run and maintain Ruby blogging engine.".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<ramaze>.freeze, ["~> 2012.12", ">= 2012.12.08"])
    s.add_runtime_dependency(%q<innate>.freeze, ["~> 2015.10", ">= 2015.10.28"])
    s.add_runtime_dependency(%q<builder>.freeze, ["~> 3.2", ">= 3.2.2"])
    s.add_runtime_dependency(%q<cssmin>.freeze, ["~> 1.0", ">= 1.0.3"])
    s.add_runtime_dependency(%q<erubis>.freeze, ["~> 2.7", ">= 2.7.0"])
    s.add_runtime_dependency(%q<json_pure>.freeze, ["~> 2.0", ">= 2.0.2"])
    s.add_runtime_dependency(%q<jsmin>.freeze, ["~> 1.0", ">= 1.0.1"])
    s.add_runtime_dependency(%q<RedCloth>.freeze, ["~> 4.3", ">= 4.3.2"])
    s.add_runtime_dependency(%q<sanitize>.freeze, ["~> 4.4", ">= 4.4.0"])
    s.add_runtime_dependency(%q<sequel>.freeze, ["~> 4.42", ">= 4.42.0"])
    s.add_development_dependency(%q<bacon>.freeze, ["~> 1.2", ">= 1.2.0"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 12.0", ">= 12.0.0"])
  else
    s.add_dependency(%q<ramaze>.freeze, ["~> 2012.12", ">= 2012.12.08"])
    s.add_dependency(%q<innate>.freeze, ["~> 2015.10", ">= 2015.10.28"])
    s.add_dependency(%q<builder>.freeze, ["~> 3.2", ">= 3.2.2"])
    s.add_dependency(%q<cssmin>.freeze, ["~> 1.0", ">= 1.0.3"])
    s.add_dependency(%q<erubis>.freeze, ["~> 2.7", ">= 2.7.0"])
    s.add_dependency(%q<json_pure>.freeze, ["~> 2.0", ">= 2.0.2"])
    s.add_dependency(%q<jsmin>.freeze, ["~> 1.0", ">= 1.0.1"])
    s.add_dependency(%q<RedCloth>.freeze, ["~> 4.3", ">= 4.3.2"])
    s.add_dependency(%q<sanitize>.freeze, ["~> 4.4", ">= 4.4.0"])
    s.add_dependency(%q<sequel>.freeze, ["~> 4.42", ">= 4.42.0"])
    s.add_dependency(%q<bacon>.freeze, ["~> 1.2", ">= 1.2.0"])
    s.add_dependency(%q<rake>.freeze, ["~> 12.0", ">= 12.0.0"])
  end
end
